package com.aucma.production.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;

/**
 * 工艺路线明细对象 prod_route_dtl
 *
 * @author Codex
 * @date 2026-03-18
 */
public class ProdRouteDetail extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long objId;
    private String routeCode;
    @Excel(name = "工序编码")
    private String processCode;
    @Excel(name = "工序名称")
    private String processName;
    @Excel(name = "顺序号")
    private Long sortNo;
    @Excel(name = "是否必经")
    private String requiredFlag;
    @Excel(name = "标准工时")
    private BigDecimal standardWorkTime;
    private String createdBy;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;
    private String updatedBy;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

    public Long getObjId() {
        return objId;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public String getRouteCode() {
        return routeCode;
    }

    public void setRouteCode(String routeCode) {
        this.routeCode = routeCode;
    }

    public String getProcessCode() {
        return processCode;
    }

    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    public String getProcessName() {
        return processName;
    }

    public void setProcessName(String processName) {
        this.processName = processName;
    }

    public Long getSortNo() {
        return sortNo;
    }

    public void setSortNo(Long sortNo) {
        this.sortNo = sortNo;
    }

    public String getRequiredFlag() {
        return requiredFlag;
    }

    public void setRequiredFlag(String requiredFlag) {
        this.requiredFlag = requiredFlag;
    }

    public BigDecimal getStandardWorkTime() {
        return standardWorkTime;
    }

    public void setStandardWorkTime(BigDecimal standardWorkTime) {
        this.standardWorkTime = standardWorkTime;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("routeCode", getRouteCode())
                .append("processCode", getProcessCode())
                .append("processName", getProcessName())
                .append("sortNo", getSortNo())
                .append("requiredFlag", getRequiredFlag())
                .append("standardWorkTime", getStandardWorkTime())
                .append("remark", getRemark())
                .toString();
    }
}
